- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
efl::eina::range_ptr_list< T > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » List of Pointers Eina C++Eina C++ » | Data Types » Content Access » | Range Eina C++Eina C++ » | Data Types » | Containers

Range class for ptr_list. More...

## Public Types
typedef _range_template< T, _ptr_list_access_traits > | _base_type
| Type for the base class. More...
typedef _base_type::value_type | value_type
| The type of each element. More...
typedef _base_type::native_handle_type | native_handle_type
Public Types inherited from efl::eina::_range_template< T, _ptr_list_access_traits >
typedef std::integral_constant < bool,!std::is_const< T > ::value > | is_mutable
| Type that specifies if the elements can be modified. More...
typedef std::remove_const< T > ::type | value_type
| The type of each element. More...
typedef std::conditional < is_mutable::value, _mutable_range_template < value_type, _ptr_list_access_traits > , _const_range_template < value_type, _ptr_list_access_traits > >::type | _base_type
| Type for the base class. More...
typedef _base_type::native_handle_type | native_handle_type
| Type for the native handle of the container. More...
typedef value_type & | reference
| Type for a reference to an element. More...
typedef value_type const & | const_reference
| Type for a constant reference to an element. More...
typedef value_type * | pointer
| Type for a pointer to an element. More...
typedef value_type const * | const_pointer
| Type for a constant pointer to an element. More...
typedef _ptr_list_access_traits::template const_iterator< T >::type | const_iterator
| Type for constant iterator to the range. More...
typedef _base_type::const_reverse_iterator | const_reverse_iterator
| Type for constant reverse iterator to the range. More...
typedef _ptr_list_access_traits::template iterator< T >::type | iterator
| Type for iterator to the range. More...
typedef _base_type::reverse_iterator | reverse_iterator
| Type for reverse iterator to the range. More...
typedef _base_type::size_type | size_type
| Type for size information. More...
typedef _base_type::difference_type | difference_type
| Type to represent the distance between two iterators. More...

## Public Member Functions
| range_ptr_list (native_handle_type list)
| Type for the native Eina list handle. More...
template<typename Allocator >
| range_ptr_list (ptr_list< value_type, Allocator > &list)
| Creates a range from a `ptr_list` object.
Public Member Functions inherited from efl::eina::_range_template< T, _ptr_list_access_traits >
| _range_template (native_handle_type handle)
| Creates a range object wrapping the given native container handle.

## Detailed Description

### template<typename T>
struct efl::eina::range_ptr_list< T >

Range class for ptr_list.

## Member Typedef Documentation

template<typename T>

typedef _range_template<T, _ptr_list_access_traits> efl::eina::range_ptr_list< T >::_base_type

Type for the base class.

template<typename T>

typedef _base_type::value_type efl::eina::range_ptr_list< T >::value_type

The type of each element.

## Constructor & Destructor Documentation

template<typename T>

efl::eina::range_ptr_list< T >::range_ptr_list | ( | native_handle_type | list | ) |
| inline

Type for the native Eina list handle.

Creates a range from a native Eina list handle.